from datetime import datetime, timedelta

from sklik import SklikApi, create_report
from sklik.object import Account
from sklik.util import SKLIK_DATE_FORMAT

token = "<sklik_token>"
SklikApi.init(token)

account_id = int("<account_id>")
account = Account(account_id)

service = "campaigns"  # "groups", "ads", "keywords"
since = (datetime.today() - timedelta(days=7)).strftime(SKLIK_DATE_FORMAT)
until = (datetime.today() - timedelta(days=1)).strftime(SKLIK_DATE_FORMAT)
fields = ["id", "name", "status", "impressions", "clicks", "totalMoney"]
granularity = "daily"  # "weekly", "monthly", "quarterly", "yearly", "total"

report = create_report(
    account,
    service,
    fields,
    since,
    until,
    granularity
)

for page in report:
    print(page)
